Skip to main content
POST
Simple Change 简易变换

授权

Authorization
string
header
必填

使用来自 https://omniall.ai/dashboard 的 Authorization: Bearer sk-...

请求体

application/json

Midjourney 代理提交体(/mj/submit/*)。字段随动作(imagine/change/blend/…)而用。

prompt
string

Imagine/Describe 的提示词文本。

示例:

"a red fox in misty forest --v 6"

base64Array
string[]

参考图 Base64 数组(blend/edits/带参考的 imagine)。

action
string

change/simple-change/action 等接口的动作类型(如 UPSCALE、VARIATION)。

index
integer

放大/变体按钮序号(通常 1–4)。

taskId
string

继续任务时的 MJ 任务 ID(change/action/modal)。

customId
string

上一任务 buttons 中的按钮 customId。

notifyHook
string

可选任务完成回调 Webhook。

state
string

客户端自定义状态,代理会回传。

botType
string

部分 MJ 代理部署需要的 bot 类型。

content
string

部分动作的附加内容(modal/shorten)。

maskBase64
string

编辑/局部重绘蒙版 Base64。

响应

已接受提交(异步)。用返回的任务 ID 轮询 fetch。

code
integer

代理结果码(常见 1 表示已提交,以你的 MJ 代理约定为准)。

description
string

可读状态说明。

result
string

新任务 ID(用于 fetch)。

properties
any

代理返回的可选额外属性。